# v2.135.0

**Release Date:** `2026-05-11`

## Overview

This release introduces two new field types for Forms: **EntitySelect** and **EntitiesSelect**. These field types enable forms, task-templates and attribute-sets to reference and select entities from the application, providing dynamic and context-aware form capabilities.

There are breaking API changes related to the `computed_targetable_type` config values for actions and action overwrites.

Together with this release we also extend the api documentation.

### EntitySelect

The `EntitySelect` field type allows users to select a single entity from a specified entity type. This is particularly useful when a form needs to capture a reference to exactly one existing entity (e.g., a specific user or department).

**Key Features:**

* Single entity selection
* Entity type is configurable via `entity_type` configuration
* Optional pre-filtering via `selectable_entities_filters` configuration
* Flexible display options (radio, select, or select-modal)
* Customizable label and result templates for entity representation
* Returns a single entity ID when the form is submitted

For detailed information, see [EntitySelect Field Type](/api-reference/forms/form-field-types.md#entityselect).

### `computed_targetable_type` values for `actions` and `action_overwrites`

#### Changed values

| Previous value                                    | New value                                    |
| ------------------------------------------------- | -------------------------------------------- |
| `for_task_workflow_node_department`               | `for_workflow_node_department`               |
| `for_task_workflow_node_executed_user`            | `for_workflow_node_executed_user`            |
| `for_task_workflow_node_executed_user_department` | `for_workflow_node_executed_user_department` |
| `for_task_workflow_node_user`                     | `for_workflow_node_user`                     |
| `from_task_workflow_node`                         | `from_workflow_node`                         |

For more details on the available `computed_targetable_type` values, see [assignment and targeting](/introduction/assignment-and-targeting.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.intratool.de/resources/release-notes/release-2-135-0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
